import { DefineApiModule, Exam } from 'api-type'

const ExamApi: DefineApiModule<Exam.ApiMap> = {
  /** 删除考试 */
  deleteExam: '/api/exam/delete',
  /** 获取考试信息 */
  getExamInfo: '/api/exam/info',
  /** 查询考试列表 */
  getExamList: '/api/exam/page',
  /** 新增/修改考试 */
  saveExamInfo: '/api/exam/save',
  /** 启用/禁用考试 */
  toggleEnableExam: '/api/exam/toggle',
}

export default ExamApi
