import { DefineApiModule, Role } from 'api-type'

const RoleApi: DefineApiModule<Role.ApiMap> = {
  /** 获取角色列表 */
  getRoleList: '/api/role/list',
  /** 获取角色权限 */
  getRolePrivilege: '/api/role/privilege',
  /** 设置角色权限 */
  setRolePrivilege: '/api/role/privilege/save',
}

export default RoleApi
