import { DefineApiModule, Subject } from 'api-type'

const SubjectApi: DefineApiModule<Subject.ApiMap> = {
  /** 删除科目 */
  deleteSubject: '/api/subject/delete',
  /** 获取科目信息 */
  getSubjectInfo: '/api/subject/info',
  /** 查询科目列表 */
  getSubjectList: '/api/subject/page',
  /** 新增/修改科目 */
  saveSubjectInfo: '/api/subject/save',
  /** 启用/禁用科目 */
  toggleEnableSubject: '/api/subject/toggle',
}

export default SubjectApi
