/** 用户角色 */
type ROLE = 'ADMIN' | 'CHIEF' | 'DEPUTY' | 'MARKER'

/** 评卷员状态 */
type STAGE = 'FORMAL' | 'SAMPLE_A' | 'SAMPLE_B' | 'FORCE'

/** 评卷模式 */
type MarkMode = 'MOUSE' | 'TRACK'

/** 试卷类型 */
type PaperType = 'SAMPLE_A' | 'SAMPLE_B' | 'RF' | 'MARK_STANDARD' | 'STANDARD' | 'FORCE'

/** 任务状态 */
type TaskType = 'FORMAL' | 'SAMPLE_A' | 'SAMPLE_B' | 'FORCE' | 'STANDARD' | 'SELF_CHECK'

/** 题目类型 */
type QuestionCategory = 'WRITING' | 'TRANSLATE'

/** 回评方式 */
type RemarkType = 'TIME' | 'QUANTITY'

/** 问题卷类型 */
type ProblemType = 'OVERSTEP' | 'DIM'

/** 仲裁卷状态 */
type ArbitrationStatus = 'INITIAL' | 'VIEWED' | 'GRADED'

/** 专家挑选卷卷型 */
type ExpertPickType = 'SAMPLE_A' | 'SAMPLE_B' | 'RF' | 'STANDARD' | 'FORCE'

declare module 'element-plus/dist/locale/zh-cn.mjs' {
  interface Locale {
    name: string
    el: object
  }
  export default Locale
}
